Skip to content

System requirements

Web browser

The following browsers are supported by Versio.io for the web based user interface:

  • Firefox (>= 70.0.0)
  • Google Chrome (>= 79.0.0)
  • Microsoft Edge (>= 44.0.0)
  • Microsoft Edge with Chromium (>= 80.0.0)
  • Opera
  • Brave (>= 1.1.0)

Microsoft Internet Explorer will not be supported.

Versio.io SaaS

  • Internet connection to https://live.versio.io
  • A good cup of coffee :-)

Versio.io Managed

Following server hardware requirements are necessary:

  • You'll need a dedicated host for Versio.io Managed installation. This host must not run other services that are CPU or memory intensive, or that open ports used by Versio.io Managed.
  • You need a 64-bit Linux distribution. Note that installation on both physical and virtualized hosts are supported.
  • The libraries that are installed with Versio.io Managed are locale-aware. For correct display of text and symbols, be sure to set your environment's system locale to an english language option (for example, LANG=en_US.UTF-8).
  • Ensure that you've appropriately configured your firewall settings:
    • On the server host open port 443 (default) for web user interface usage and API requests. Optional open port 80 for HTTPS forwarding.
    • The Versio.io Managed Server requires access to SMTP services as well as all other services which are to be called as integrations from Versio.io Server (Chat, Automation, Incident Management etc.).
Node type Max changes (CI) CPU Memory Local storage
Trial 10.000 4 vCPUs 10 GB 30 GB
Small 100.000 4 vCPUs 12 GB 60 GB
Medium 1.000.000 8 vCPUs 16 GB 100 GB
Large 10.000.000 16 vCPUs 32 GB 500 GB

Following operating systems are supported:

Operating system Versions
Red Hat Enterprise Linux >=7.x
Ubuntu >=16.x

Versio.io OneImporter

Following server hardware requirements are necessary:

  • You need a 64-bit Linux distribution. Note that installation on both physical and virtualized hosts are supported.
  • The libraries that are installed with Versio.io Managed are locale-aware. For correct display of text and symbols, be sure to set your environment's system locale to an english language option (for example, LANG=en_US.UTF-8).
  • Ensure that you've appropriately configured your firewall settings:
    • On the OneImporter host is no open port required.
    • The OneImporter requires access to Versio.io SaaS or Managed Server and all services which are integrated by the importers (Dynatrace, Check_MK, Hetzner Cloud, databases etc.)
Amount of import
configurations
CPU Memory
1 2 vCPUs 2 GB
5 2 vCPUs 4 GB
10 4 vCPUs 6 GB
25 6 vCPUs 12 GB

Following operating systems are supported:

Operating system Versions
Red Hat Enterprise Linux >7.x
Ubuntu >16.x